from messagebus import TokenCreator, TokenPriority

COMPONENT_NAME = "ServiceLocator"

SERVICE_LOCATOR_GROUP = "3"

TK_SERVICE_LOCATOR_REGISTER_SERVICE = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=SERVICE_LOCATOR_GROUP,
    number="1"
)
TK_SERVICE_LOCATOR_LOOKUP_SERVICE = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=SERVICE_LOCATOR_GROUP,
    number="2"
)
TK_SERVICE_LOCATOR_KEEP_ALIVE = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=SERVICE_LOCATOR_GROUP,
    number="3"
)

TK_SERVICE_LOCATOR_ADDRESS_CHANGED = TokenCreator.create_token(
    priority=TokenPriority.high,
    message_group=SERVICE_LOCATOR_GROUP,
    number="FF03"
)
